VPS侦探论坛

 找回密码
 注册
查看: 324|回复: 10

lnmp1.9 php 和 mariadb 都是最高

[复制链接]
发表于 2022-6-4 14:03:32 | 显示全部楼层 |阅读模式



centos stream 8
lnmp1.9 php 和 mariadb 都是最高

重置密码出错:

update mariadb root password...
ERROR 1356 (HY000) at line 1: View 'mysql.user' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them
Reset mariadb root password failed!

美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-9 16:48:08 | 显示全部楼层


yanqzh 发表于 2022-6-8 19:04
军哥你好,我尝试在论坛 和lnmp.org上找教程,找了一天了没什么 收获,又不敢轻易下手,我的系统是CentOS ...

新装的话centos 8可以直接使用lnmp1.9安装,其他版本不行
新装不建议在使用centos 8等这类已经EOL的版本
更换源可以在 lnmp1.9 目录下执行
mkdir /etc/yum.repos.d/backup
mv /etc/yum.repos.d/*.repo /etc/yum.repos.d/backup/
cp conf/CentOS8-vault.repo /etc/yum.repo.d/CentOS8-vault.repo
官网首页右侧各种常用教程链接都有包含升级教程
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-6-4 20:37:23 | 显示全部楼层



编辑 lnmp1.9 安装包目录下 tools/reset_mysql_root_password.sh 查找 10.[234] 替换为:10.[2345678] 保存,再重新运行重置脚本
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-6-4 21:50:38 | 显示全部楼层

能同时支持mysql和mariadb吗

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2022-6-5 09:48:36 | 显示全部楼层

yanqzh 发表于 2022-6-4 21:50
能同时支持mysql和mariadb吗

无法同时安装mysql和mariadb
密码重置脚本按前面修改后是目前所有版本都支持重置的
发表于 2022-6-7 08:59:42 | 显示全部楼层

licess 发表于 2022-6-5 09:48
无法同时安装mysql和mariadb
密码重置脚本按前面修改后是目前所有版本都支持重置的 ...

多谢军哥指教!
请问,目前lnmp1.6,使用php7.2+mysql.7,如何切换得到php7.3+mariadb?
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-7 13:00:56 | 显示全部楼层

yanqzh 发表于 2022-6-7 08:59
多谢军哥指教!
请问,目前lnmp1.6,使用php7.2+mysql.7,如何切换得到php7.3+mariadb? ...

下载个lnmp1.9,用升级脚本升级php和mariadb就行了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-6-7 18:39:06 | 显示全部楼层


licess 发表于 2022-6-7 13:00
下载个lnmp1.9,用升级脚本升级php和mariadb就行了

非常感谢军哥的回复!我确认一下自己理解的对不对:我的环境是生产环境,不能出现严重错误,我在服务器上下载lnmp1.9,用升级脚本可以将php7.2+mysql5.7的环境升级为php7.4+mariadb10.5?
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-7 20:37:53 | 显示全部楼层



yanqzh 发表于 2022-6-7 18:39
非常感谢军哥的回复!我确认一下自己理解的对不对:我的环境是生产环境,不能出现严重错误,我在服务器上 ...

可以,需要单独升级php和mysql,一般系统及配置符合要求的话应该就能升级成功
发表于 2022-6-8 19:04:41 | 显示全部楼层

licess 发表于 2022-6-7 20:37
可以,需要单独升级php和mysql,一般系统及配置符合要求的话应该就能升级成功 ...

军哥你好,我尝试在论坛 和lnmp.org上找教程,找了一天了没什么 收获,又不敢轻易下手,我的系统是CentOS Linux release 8.2.2004 (Core),目前用的是lnmp1.7-full安装的套件。
请问我是应该下载lnmp1.9-full套件吗?还是在线安装?我查看一些帖子,您说要换源,请问我这个系统版本要换源吗?在哪里换?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-7-6 15:04 , Processed in 0.025777 second(s), 17 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表